#! /usr/bin/env python

"""
A command line version of analysisUtils.py function locate.
To work on osf-red:

./asdmFind_red.py -f uid://A002/X108586/X3a

"""

import os
import sys
from optparse import OptionParser






class Finder:
    


   def __init__(self):
      '''
      '''
 
   def locate(self,msfile,datadir1=''):
         """
         Script used to locate an ASDM or an MS file in the RADIO data directory tree.
         """
         if (datadir1==''):
             datadir="/data/RADIO/"
         else:
             datadir=datadir1
         print "Looking into " + datadir
         
         if not msfile.find(':') == []:  msfile=msfile.replace('/','_').replace(':','_')
         print msfile
         location=os.popen('find  %s -name %s' %(datadir,  msfile)).read().split('\n')[0]
         if location != '':
             dir=location.strip(msfile)
             print location
             return [location, dir]
         else:
             print 'could not find this file in local dir or in /data/RADIO'
             return
   
   
if __name__ == '__main__':
    usage = '''
    '''

    parser = OptionParser()
    parser.add_option("-f","--fileName", dest="fileName", metavar="FileName",
                  help="The name of the file to be found")
    parser.add_option("-d","--dataDir", dest="dataDir", metavar="DataDir",
                  help="Suggested Data directory of the file to be found")
 
    (options, args) = parser.parse_args()
    fileName = options.fileName
    dataDir = options.dataDir
  


    print "Looking for file " + fileName
    
    RTP=Finder()


    if options.dataDir is None:
       RTP.locate(fileName)
    else:
        RTP.locate(fileName,dataDir)



