#! /usr/bin/env python
"""
dailyCheckPositionModels.py

Goal:  check the antenna/Pad positions each day and report any changes from previous day.
Written May 27 2013 by dB
Algorithm:
  
$Id: dailyCheckPositionModels.py,v 1.4 2014/11/30 01:29:44 dbarkats Exp $
"""

import os
from optparse import OptionParser
import tmcdbPlayer as tp

if __name__ == '__main__':
    usage = '''
     should be run on reduction machine only 
    
    '''
    # Initialize parser
    parser = OptionParser()
    
    parser.add_option("-v", "--verbose",
                      dest="verbose",
                      action="store_true",
                      default=False,
                      help=" -v option will output the verbose logs, Default is False")
    
    (options, args) = parser.parse_args()
    verb = options.verbose
    
    t = tp.tmcdbPlayer()
    t.checkLatestPositionModel(verbose = verb) 
    t.getAllPositionModel()
    t.getAllPointingModel()
    t.getAllFocusModel()
