import os
import re
import sys
import glob

list1 = glob.glob('uid*')
list1 = sorted(list1)

for asdm1 in list1:

    print 'Processing '+asdm1

    f = open(asdm1+'/ASDM.xml')
    fc = f.read()
    f.close()
    
    asdmBlockList = re.findall('<Table>.*?</Table>', fc, re.DOTALL|re.MULTILINE)
    if len(asdmBlockList) == 0: sys.exit('Found 0 block.')
    
    for i in range(len(asdmBlockList)):
        if re.search('<Name> *SysCal *</Name>', asdmBlockList[i]) != None or re.search('<Name> *CalAtmosphere *</Name>', asdmBlockList[i]) != None:
            asdmBlockList1 = re.sub('<NumberRows> *[0-9]+ *</NumberRows>', '<NumberRows> 0 </NumberRows>', asdmBlockList[i])
            fc = re.sub(asdmBlockList[i], asdmBlockList1, fc)

    f = open(asdm1+'/ASDM.xml', 'w')
    f.write(fc)
    f.close()

    os.system('mv '+asdm1+'/SysCal.xml '+asdm1+'/SysCal.xml.old')
    #os.system('mv '+asdm1+'/CalAtmosphere.xml '+asdm1+'/CalAtmosphere.xml.old')
    
    #f = open(asdm1+'/Scan.xml')
    #fc = f.read()
    #f.close()
    
    #scanBlockList = re.findall('<row>.+?</row>', fc, re.DOTALL|re.MULTILINE)
    
    #scanNumList = []
    
    #for i in range(len(scanBlockList)):
    #  if re.search('CALIBRATE_SIDEBAND_RATIO', scanBlockList[i]) != None:
    #    scanNum1 = re.findall('<scanNumber>[0-9]+</scanNumber>', scanBlockList[i])
    #    if len(scanNum1) != 1: sys.exit(0)
    #    scanNum1 = re.findall('[0-9]+', scanNum1[0])
    #    if len(scanNum1) != 1: sys.exit(0)
    #    scanNumList.append(scanNum1[0])
    
    #scanNumList = ' '.join(scanNumList)
    
    #tc_sidebandratio(asdm=asdm1, dataorigin='avercross', scans=scanNumList, calresult=asdm1, showplot=False, verbose=True)
    
    tc_atmosphere(asdm=asdm1, dataorigin='specauto', trecmode='AH', sidebandgainoption='observed', calresult=asdm1, reprocess=True, showplot=False, verbose=False)
