# default init.py for QA2 work on the ARC cluster
# DP, Nov 2013

import sys
import casadef

# search for projectinit.py
dname = os.path.abspath('.')
found=False
while(os.path.abspath('.')!='/lustre/opsw/work'):
    if os.path.exists('projectinit.py'):
        print ' *** Found projectinit.py in '+os.path.abspath('.')+' ***'
        execfile('projectinit.py')
        found=True
        break
    else:
        os.chdir('..')
        if(os.path.abspath('.')=='/'):
            print '*** You are not working in a subdirectory of /lustre/opsw/work ... ***'
            break
os.chdir(dname)

if not found:
    print " *** init.py: QA2-relevant modules will be imported ***"
    sys.path.append('/opsw/alma/jao-mirror/AIV/science/qa2')
    sys.path.append('/opsw/alma/jao-mirror/AIV/science/analysis_scripts')

    from QA2_Packaging_module import *
    import analysisUtils as aU
    es = aU.stuffForScienceDataReduction()

print aU.version()
