#!/usr/bin/env python
#GetFocus.py
#written by RLucas (2009-04-30)
#
#will extract the focus values form an asdm file.
# GetFocus -f uid___X54_X35fa_X1
#
#$Id: GetFocus_R610.py,v 1.1 2010/03/22 13:54:44 dbarkats Exp $


from pylab import *
import scipy.optimize
from math import *
#from alma.asdm.asdm import *
from asdm import *
from optparse import OptionParser

# Initialize parser
parser = OptionParser()
parser.add_option("-f", "--files", dest="files",
                  help="Input files to be analysed (separated by white space)")

(options, args) = parser.parse_args()
file = options.files

print file
a=ASDM()
a.setFromFile(file)
calFocus = a.calFocusTable().get()
mm=1e3

for row in calFocus:
    fr = row.frequencyRange()[0].get()
    antenna = row.antennaName()

    # if not row.wereFixed()[0]:
        
    focusx = row.offset()[0][0].get()*mm
    errorx = row.offsetError()[0][0].get()*mm
    # if not row.wereFixed()[1]:
 
    focusy = row.offset()[0][1].get()*mm
    errory = row.offsetError()[0][1].get()*mm
    # if not row.wereFixed()[2]:
        
    focusz = row.offset()[0][2].get()*mm
    errorz = row.offsetError()[0][2].get()*mm
    print "%s X= %6.3f Y= %6.3f Z= %6.3f " % (antenna, focusx, focusy, focusz)
    
