#
from pylab import *
import analysisUtils as au

"""
vis is location of ms file+ msfile name
"""

#def doWVR(self,zvis):
#    from wvrgcal import wvrgcal
#    xvis = zvis+'.orig'
#    os.system('mv '+zvis+' '+xvis)
#    if self.flagWVR == None:
#        print '**** No antennas flagged ****'
        #os.system('wvrgcal --ms '+xvis+' --output '+zvis+'.wvr')
        # in cville use:
        #os.system('/users/thunter/usr/wvrgcal-latest/bin/wvrgcal --ms '+xvis+' --output '+zvis+'.wvr')
#        wvrgcal(vis = xvis, caltable = zvis+'.wvr')
#    else:
        #       print '**** antennas flagged ****'
        #os.system('wvrgcal --ms '+xvis+' --output '+zvis+'.wvr --wvrflag '+self.flagWVR)
        # in cville use:
        #os.system('/users/thunter/usr/wvrgcal-latest/bin/wvrgcal --ms '+xvis+' --output '+zvis+'.wvr --wvrflag '+self.flagWVR)
#        wvrgcal(vis = xvis, caltable = zvis+'.wvr', wvrflag = self.flagWVR)
        
#    aU.plotWVRSolutions(caltable=zvis+'.wvr', spw=self.dspw[0], field='', subplot=22, interactive=False, sort='number', antenna=self.ref_ant, xrange=[0,0], yrange=
#                        [0,0], figfile='output_files/diag_figs/wvrsolutions', xaxis='ut')
    
#    applycal(vis = xvis, flagbackup = False, gaintable = (zvis+'.wvr'))
#    split(vis = xvis, datacolumn = 'corrected', outputvis = zvis)
    

vis='uid___A002_X4158c3_Xb6.ms'
uid = vis[0:-3]
antennas=au.getAntennaNames(vis)

data=au.Visibility(vis,antenna1=antennas[0],antenna2=antennas[1],spwID=2, correctedData = True)

for i in antennas :
    for j in antennas :
        if i < j :
            print i,j
            
            data.setAntennaPair(i,j)
            data.setSpwID(2)
            t = data.specTime
            ph1=data.favgPhase
            ph10 = unwrap(ph1[0,:],discont = -pi)
            ph11 = unwrap(ph1[1,:],discont = -pi)
            amp1 = data.favgAmp
            data.setSpwID(4)
            ph2=data.favgPhase
            ph20 = unwrap(ph2[0,:],discont = -pi)
            ph21 = unwrap(ph2[1,:],discont = -pi)
            amp2 = data.favgAmp
            data.setSpwID(6)
            ph3=data.favgPhase
            ph30 = unwrap(ph3[0,:],discont = -pi)
            ph31 = unwrap(ph3[1,:],discont = -pi)
            amp3 = data.favgAmp
            data.setSpwID(8)
            ph4=data.favgPhase
            ph40 = unwrap(ph4[0,:],discont = -pi)
            ph41 = unwrap(ph4[1,:],discont = -pi)
            amp4 = data.favgAmp

            ph0_mean = (ph10-mean(ph10)+ph20-mean(ph20)+ph30-mean(ph30)+ph40-mean(ph40))/4.
            ph1_mean = (ph11-mean(ph11)+ph21-mean(ph21)+ph31-mean(ph31)+ph41-mean(ph41))/4.

            x10 = correlate(ph10-mean(ph10)-ph0_mean,ph0_mean)
            x11 = correlate(ph11-mean(ph11)-ph1_mean,ph1_mean)
            x20 = correlate(ph20-mean(ph20)-ph0_mean,ph0_mean)
            x21 = correlate(ph21-mean(ph21)-ph1_mean,ph1_mean)
            x30 = correlate(ph30-mean(ph30)-ph0_mean,ph0_mean)
            x31 = correlate(ph31-mean(ph31)-ph1_mean,ph1_mean)
            x40 = correlate(ph40-mean(ph40)-ph0_mean,ph0_mean)
            x41 = correlate(ph41-mean(ph41)-ph1_mean,ph1_mean)

            f = [354,356,366,368]
            figure(3)
            plot(f,[x10,x20,x30,x40],'x')
            plot(f,[x11,x21,x31,x41],'+')
            ylim([-100,100])
            xlim([352,370])

            #continue
        
            # plot raw data
            figure(1,figsize=(7,5));clf();
            plot(t,ph10-mean(ph10)-1,'.')
            plot(t,ph20-mean(ph20),'.')
            plot(t,ph30-mean(ph30)+1,'.')
            plot(t,ph40-mean(ph40)+2,'.')
            plot(t,ph0_mean-2,'k.')
            legend(['BB1:354','BB2:356','BB3:366','BB4:368','mean'])
            xlabel('time')
            ylabel('phase [deg]')
            title('%s %s baseline'%(i,j))
        
            # plot variation - BB mean
            figure(2,figsize=(7,5));clf();
            plot(t,ph10-mean(ph10)-ph0_mean-1,'.')
            plot(t,ph20-mean(ph20)-ph0_mean,'.')
            plot(t,ph30-mean(ph30)-ph0_mean+1,'.')
            plot(t,ph40-mean(ph40)-ph0_mean+2,'.')
            legend(['BB1:354','BB2:356','BB3:366','BB4:368','mean'])
            xlabel('time')
            ylabel('phase [deg]')
            title('%s %s baseline phase - mean phase over BB'%(i,j))

            #raw_input()

            #continue
        
            # output raw data to text ascii
            outfile= '%s_%s_%s_raw_data.txt'%(uid,i,j)
            f = open('%s'%outfile,'w')
            f.write('### Raw amplitude and phase for ASDM:%s for baseline: %s-%s ### \n'%(uid,i,j))
            f.write('### Data has been WVR corrected with wvrgcal \n')
            f.write('### Columns are: \n')
            f.write('### ALMA time, BB1, BB2, BB3, BB4\n')
            f.write('### For each BB, the 4 values are amp_pol0,amp_pol1,phase_pol0,phase_pol1 \n')
            f.write('### Phase has been unwrapped \n')
            
            for k in range(size(t)):
                f.write('%f, %f,%f,%f,%f, %f,%f,%f,%f, %f,%f,%f,%f, %f,%f,%f,%f  \n'%(t[k],amp1[0,k],amp1[1,k],ph10[k],ph11[k],amp2[0,k],amp2[1,k],ph20[k],ph21[k],amp3[0,k],amp3[1,k],ph30[k],ph31[k],amp4[0,k],amp4[1,k],ph40[k],ph41[k]))
                
            print "wrote %s"  %outfile  
            f.close()
