#!/usr/local/bin/python
#n


"""

Script to generate antennaMoves.txt

New antennaMoves file generated based on TMCDB information only (does not rely on previous info in antennaMoves.txt
This method should superceed the previous method from mid-2015)



$Id $ - ahales 08/2015
"""

import os, sys
import socket
import getpass
import pickle
import glob
from optparse import OptionParser;



if __name__ == '__main__':
    usage = '''
    
    
    
    
    '''

    
    username = getpass.getuser()
    
    sys.path.append('/users/%s/AIV/science/scripts/R10.4_WORKING/'%username)
    
    sys.path.append('/users/%s/AIV/science/analysis_scripts/'%username)
    
    
    
    #ExportArrayConfiguration.py -y -f allmoves
    
    
    
    import os
    
    os.system('ExportArrayConfiguration.py -y -f allmoves')
    
    
    import xml.etree.ElementTree as ET
    from operator import itemgetter
    
    tree = ET.parse('allmoves.xml')
    root = tree.getroot()
    
    start = []
    end = []
    for child in root:
        if 'end' in child.attrib.keys():
            end.append(child.attrib)
        else:
            start.append(child.attrib)
    
    startnew = sorted(start, key=itemgetter('start'))
    endnew = sorted(end, key = itemgetter('end'))
    
    #for end in endnew:
    #    print end
    #print 'debug'
    #for start in startnew:
    #    print start
    
    for i in range(len(endnew)):
        for j in range(i+1, len(endnew)):
            if endnew[i]['antenna'] == endnew[j]['antenna']:
                endnew[i]['destiny'] = endnew[j]['pad']
                break
    for end in endnew:
        if not ('destiny' in end.keys()):
            for start in startnew:
                if end['antenna'] == start['antenna']:
                    end['destiny'] = start['pad']
    f = open('antennaMoves2.txt', 'w')
    for end in endnew:
        if 'destiny' in end.keys():
            f.write(end['end'][:-8] + " " + end['antenna'] + " "  + end['pad'] + " " + end['destiny'] + '\n')
    f.close()
    
    
    
    
    # update file and cvs 
    
    
    antennaMovesDir = '/users/%s/AIV/science/PadData/'%username
    antennaMovesFile ='antennaMoves2.txt'
    
    print '#### CVS committing antennaMoves2.txt... #### '
    wd = os.getcwd()
    os.system('cp '+antennaMovesFile + ' '+ antennaMovesDir  )
    os.chdir('%s/'%antennaMovesDir)
    up_cmd = 'cvs commit  -m \'daily\' antennaMoves2.txt'
    os.system(up_cmd)
    os.chdir(wd)
    
    antennaMovesFile = '/users/%s/AIV/science/PadData/antennaMoves2.txt'%username
    
    os.system('scp -r '+ antennaMovesFile +'   ahales@ssh.alma.cl:public_html/trend_analysis/')
