#!/usr/bin/env python
# Library to store the Nominal values
# of the Pointing Band offsets.

def getNominal():
    nominal = {}
    nominal['12']={}
    nominal['7']={}
    nominal['12']={  3: {'CA':0.0,     'IE':0.0},
                     4: {'CA':2.2,     'IE':808.3},
                     6: {'CA':296.62,  'IE':771.42},
                     7: {'CA':140.71,  'IE':400.23},
                     8: {'CA':-70.2,   'IE':175.9},
                     9: {'CA':-73.18,  'IE':612.66},
                     # 2014/07/10: see PRTSIR-3049
                    10: {'CA':-284.22, 'IE':388.21}, 
              }
    nominal['7'] ={  1: {'CA':-783,    'IE':1350},
                     2: {'CA':-785,    'IE':25},
                     3: {'CA':0,       'IE':0},
                     4: {'CA':6,       'IE':1408},
                     5: {'CA':310,     'IE':257},
                     6: {'CA':337,     'IE':1147},
                     7: {'CA':55,      'IE':688},
                     8: {'CA':-121,    'IE':515},
                     9: {'CA':-121,    'IE':858},
                    10: {'CA':-291,    'IE':688}}
    return nominal

#            # email Richard Hills 2013 03 19. Intermediate offsets
