#
from pylab import *
import analysisUtils as aU
def main(vis):
    """
    vis is location of ms file+ msfile name
    """
    uid='uid___A002_X13f0f1_X29'
    antenna1=aU.getAntennaNames(vis)
    antenna2=antenna1
    data=aU.Visibility(vis,antenna1=antenna1[0],antenna2=antenna2[0],spwID=2)

    spwIDs=[2,4,6,8]
    for i in antenna1 :
        for j in antenna2 :
            if i < j :
                
                figure(1,figsize=(7,5));clf();       
                for k in spwIDs:
                    data.setSpwID(k)
                    data.setAntennaPair(i,j)
                    data.unwrapPhase()
                    ph=data.phase[0][0]
                    ph=ph-mean(ph)
                    [f,fph]=aU.psd(ph,10.416)
                    subplot(2,1,1)
                    plot(ph*180/pi-50+10*k)
                    ylim(-50,50)
                    xlabel('time (s)');ylabel('Cross-Corr phase (deg)');
                    title('tod and psd of phase for %s %s for SpwID %s' %(i,j,spwIDs))
                    subplot(2,1,2)
                    loglog(f,fph/0.1**k)
                    xlabel('freq (Hz)');ylabel('Cross-Corr phase PSD');
                                       
                savefig('%s_a1_%s_a2_%s.png'%(uid, i,j), format='png')
                

